Get a message's delivery and answer
curl --request GET \
--url https://api.sazabi.com/v1/messages/{messageId}import requests
url = "https://api.sazabi.com/v1/messages/{messageId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sazabi.com/v1/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/messages/{messageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/messages/{messageId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sazabi.com/v1/messages/{messageId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/messages/{messageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"completed": true,
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"response": "<string>",
"failureClass": "billing_account_missing",
"failureRetryable": true,
"delivery": {
"mode": "steer",
"state": "queued",
"targetRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumingRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
}Messages
Get a message's delivery and answer
Follow a message through steering and authorized approval continuations to the execution that answers it.
GET
https://api.sazabi.com/v1
/
messages
/
{messageId}
Get a message's delivery and answer
curl --request GET \
--url https://api.sazabi.com/v1/messages/{messageId}import requests
url = "https://api.sazabi.com/v1/messages/{messageId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sazabi.com/v1/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/messages/{messageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/messages/{messageId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sazabi.com/v1/messages/{messageId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/messages/{messageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"completed": true,
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"response": "<string>",
"failureClass": "billing_account_missing",
"failureRetryable": true,
"delivery": {
"mode": "steer",
"state": "queued",
"targetRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumingRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
}Response
200 - application/json
OK
Current run lifecycle status. queued: the message is waiting behind the thread's run in flight and has not started; it starts after that run ends, whatever that run's outcome, unless the queued message is cancelled with runs.cancel.
Available options:
queued, processing, completed, aborted, error Available options:
billing_account_missing, subscription_missing, subscription_blocked, credit_balance_missing, credit_balance_depleted, billing_admission_unavailable, permission, policy, provider, provider_rejected, cancelled, timeout, rate_limit, grpc_message_too_large, sandbox_concurrency, sandbox_missing, sandbox_failed, tool_failed, workflow_start_failed, workflow_died, unknown